Skip to main content
POST
/
api
/
v4
/
credit-line
/
loans
/
info
List Credit Lines
curl --request POST \
  --url https://whitebit.com/api/v4/credit-line/loans/info \
  --header 'Content-Type: application/json' \
  --header 'X-TXC-APIKEY: <api-key>' \
  --header 'X-TXC-PAYLOAD: <api-key>' \
  --header 'X-TXC-SIGNATURE: <api-key>' \
  --data '
{
  "request": "{{request}}",
  "nonce": "{{nonce}}"
}
'
{
  "asset": "BTC",
  "amount": "1.5",
  "totalFunding": "0.5",
  "currentLtv": "25",
  "initialLtv": "60",
  "marginCallLtv": "75",
  "liquidationLtv": "85",
  "createdAt": 1715339355
}

Documentation Index

Fetch the complete documentation index at: https://whitebit-mintlify-fix-broken-links-1776643999.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

The endpoint works on demand. Contact WhiteBIT support and provide the API key to get access to the functionality.

Authorizations

X-TXC-APIKEY
string
header
required

The public WhiteBIT API key.

X-TXC-PAYLOAD
string
header
required

Base64-encoded JSON request body.

X-TXC-SIGNATURE
string
header
required

HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).

Body

application/json
request
string
required

Request signature

Example:

"{{request}}"

nonce
string
required

Unique request identifier

Example:

"{{nonce}}"

Response

Successful response

asset
string
Example:

"BTC"

amount
string
Example:

"1.5"

totalFunding
string
Example:

"0.5"

currentLtv
string
Example:

"25"

initialLtv
string
Example:

"60"

marginCallLtv
string
Example:

"75"

liquidationLtv
string
Example:

"85"

createdAt
integer
Example:

1715339355